        page
******************************************************
** Copyright 2009 CMI Productions.                  **
** Lots of rights reserved.                         **
** Free for personal use as long as this copyright  **
** message is maintained in the source and the LCD  **
** copyright message is also preserved.  Commercial **
** use prohibited without CMIs written concent.     **
******************************************************
; english.asm (English menus and tables)

banner: db      'For selections:     ' ;#0
        db      'U/D=change, sel=next'

        db      'WARNING! Must have  ' ;#1
        db      'sensor access (wait)'

        db      '    In memory of:   ' ;#2
        db      'Dr. Morgan 1923-1999'

        db      'Error reading 1-wire' ;#3
        db      'data!               '

        db      'Position String: ---' ;#4
        db      'Up/Down, Sel=Next   '

        db      'Display Current Data' ;#5  mmenu #0
        db      '(SW Rev 1.16.1R)    '

        db      'Set Zulu Date/Time  ' ;#6  mmenu #1
        db      '                    '

        db      'UART/Display options' ;#7  mmenu #2
        db      '                    '

        db      'Sensor Setup        ' ;#8  mmenu #3
        db      '                    '

        db      'Position String and ' ;#9  mmenu #4
        db      'Modem Setup         '

        db      'Select Interface:   ' ;#10
        db      '5-min avg (TNC-dir) '

        db      'Select Interface:   ' ;#11
        db      '5-min avg (TNC-LTP) '

        db      'Select Interface:   ' ;#12
        db      '5-sec live (Computer'

        db      'Select Interface:   ' ;#13
        db      '5-sec live (Peet)   '

        db      'Select Interface:   ' ;#14
        db      '5-min avg (modem)   '

        db      'OK to Continue?     ' ;#15
        db      'Select=go, rest=exit'

        db      'Rotate Clockwise    ' ;#16
        db      'slowly 1/3 -------- '

        db      'Point to True North ' ;#17
        db      'then press Select   '

        db      'Set:  xx/xx/xx xx:xx' ;#18
        db      '(select=next)       '

        db      'One moment please...' ;#19
        db      '                    '

        db      'Set Local hour xx   ' ;#20
        db      '(Select=done)       '

        db      'mm/dd/yy hh:mmZ hhL ' ;#21
        db      'Sample xx/60        '

        db      '----.--!/-----.--!  ' ;#22
        db      'Up/Down, Sel=Next   '

        db      'Select Units:       ' ;#23
        db      'Metric              '

        db      'Select Units:       ' ;#24
        db      'English             '

        db      'Setting up TNC...   ' ;#25
        db      '                    '

        db      '1-Wire Bus Error!   ' ;#26
        db      'Bus shorted to GND  '

        db      '1-Wire Bus Error!   ' ;#27
        db      'No Devices respond. '

        db      'Wind Direction text:' ;#28
        db      'Numeric degrees     '

        db      'Wind Direction text:' ;#29
        db      'Compass (E, N, etc.)'

        db      'No IDs programmed.  ' ;#30
        db      'Please run SETUP.   '

        db      'Two temp sensors!   ' ;#31
        db      'Pick outside sensor '

        db      'Unplug rain guage.  ' ;#32
        db      'Sel=go, Menu=exit.  '

        db      'Please setup wind/  ' ;#33
        db      'temperature first.  '

        db      'No Sensor, erase ID?' ;#34
        db      'up=yes, down=no     '

        db      'Rain sensor ID found' ;#35
        db      'Cumulative Ref Reset'

        db      'Pick the ID for the ' ;#36
        db      'correct sensor      '

        db      'DS1994 found, time  ' ;#37
        db      'set to DS1994 clock.'

        db      'Rain Guage missing! ' ;#38
        db      'Will ignore sensor. '

        db      'UART Baud Rate ---- ' ;#39
        db      '                    '

        db      'Temperature?        ' ;#40 cal menu 0
        db      'SELECT=yes, MENU=no '

        db      'Wind Speed?         ' ;#41 cal memu 1
        db      'SELECT=yes, MENU=no '

        db      'Wind Direction?     ' ;#42 cal memu 2
        db      'SELECT=yes, MENU=no '

        db      'Rain Gauge?         ' ;#43 cal menu 3
        db      'SELECT=yes, MENU=no '

        db      'Humidity Sensor?    ' ;#44 cal menu 4
        db      'SELECT=yes, MENU=no '

        db      'Barometer Sensor?   ' ;#45 cal menu 5
        db      'SELECT=yes, MENU=no '

        db      'No sensor found or  ' ;#46
        db      'sensor init failed. '

        db      'Rain Gauge plugged  ' ;#47
        db      'in? (Sel=continue)  '

        db      'Humidity Display:   ' ;#48
        db      'Show Dewpoint.      '

        db      'Humidity Display:   ' ;#49
        db      'Show %RH            '

        db      'Barometic Pressure: ' ;#50
        db      'In Hg     Mlb       '

        db      'Unplug rain guage.  ' ;#51 ??
        db      'Sel=go, Menu=exit.  '

        db      'Silence before PTT: ' ;#52
        db      '-00ms (up/down/sel) '

        db      'PTT to packet start:' ;#53
        db      '-00ms (up/down/sel) '

        db      'Use TAI603?         ' ;#54
        db      'Up=Yes,Down=No      '
        
; Big 4-line banners

bbnnrs: db      ' Will and Russ'      ; big banner #0
        db      $27 ; apostrophe       ; opening screen
        db      's    '
        db      ' APRS Wx Station    '
        db      ' (c) Copyright 2009 '
        db      ' CMI Productions    '

        db      '     Currently      ' ; big banner #1
        db      'Tmp ---'             ; Status page 0
        db      $00 ;degree sym
        db      'F Rain -.--'
        db      34 ;double-quote
        db      'Wnd ---'
        db      $00 ;degree sym
        db      ' --MPH G -- '
        db      'RH---%DP --'
        db      $00;degree sym
        db      'BP--.-- '

        db      '     Yesterday      ' ; big banner #2
        db      'Temp L---'            ; status page #1
        db      $00 ;degree
        db      'F H---'
        db      $00 ;degree
        db      'F  '
        db      'Wind Gust -- MPH    '
        db      'Rain -.--'
        db      34 ;double-quote
        db      '          '

        db      '        Rain        ' ; big banner #3
        db      'Today -.-- Yest -.--' ; status page #2
        db      'Month -.-- User -.--'
        db      'Hour  -.--          '

        db      '       Status       ' ; big banner #4
        db      'mm/dd/yy hh:mm Zulu ' ; status page #3
        db      'hh:mm Lcl  Bus:-.--V'
        db      'Smp --/60  Bty:--.-V'

        db      '   Error Counters   ' ; big banner #5
        db      'Temp --- Rain ---   ' ; status page #4
        db      'Wspd --- Wdir ---   '
        db      'Humd --- Baro ---   '

        db      '     Currently      ' ; big banner #6
        db      'Tmp ---'              ; Status page 0 (metric)
        db      $00 ;degree sym
        db      'C Rain -.--'
        db      $01 ;mm symbol
        db      'Wnd ---'
        db      $00 ;degree sym
        db      ' --KPH G -- '
        db      'RH--- DP --'
       ; db      ;$00;degree sym
        db      'C BP---- '

        db      '     Yesterday      ' ; big banner #7
        db      'Temp L---'            ; status page #1 (metric)
        db      $00 ;degree
        db      'C H---'
        db      $00 ;degree
        db      'C  '
        db      'Wind Gust -- KPH    '
        db      'Rain --.-'
        db      $01 ;mm symbol
        db      '          '

        db      'For each sensor:    ' ; big banner #8
        db      'Press SELECT to cal,' ;
        db      'Menu to skip        '
        db      '(wait)              '

        db      'Wspd and Rain sensor' ; big banner #9
        db      'found, need help.   ' ; help with rain/wspd IDs
        db      'up=unplug rain guage'
        db      'down=pick IDs.      '

        db      'Windir and rain sens' ; big banner #10
        db      'found, need help.   ' ; help with wind dir and Hum
        db      'up=unplug Rain sens '
        db      'down=pick IDs.      '

        db      'Use Humidity sensor ' ; Big Banner #11
        db      'for main temperature' ; Temp sensor choice
        db      'readings?           '
        db      'Up=yes, Down=No     '

        db      '   Todays Stats     ' ; Big Banner #12 Todays stats
        db      'Temp Hi --- Lo ---  '
        db      'Max Gust xx MPH     '
        db      'Rain -.--'
        db      34 ; quote symbol
        db      '          '

        db      '   Todays Stats     ' ; Big Banner #13 Todays stats (metric)
        db      'Temp Hi --- lo ---  '
        db      'Max Gust xx KPH     ' ; Temp sensor choice
        db      'Rain -.--'
        db      1 ; mm symbol
        db      '          '

        db      '______-__           ' ; big banner #14 Set Callsign
        db      'MyCall     Callsign '
        db      'Up/Down, Sel=Next,  '
        db      'Menu=Erase to end.  '

        db      'UI path Type:       ' ; big banner #15 UI Path type
        db      '                    ' ; Gets filled in here
        db      'Up/Down, Sel=Next,  '
        db      '                    '

        db      'Humid and BP Sensor ' ; big banner #16
        db      'found, need help.   ' ; help with rain/wspd IDs
        db      'up=unplug BP sensor '
        db      'down=pick IDs.      '

        db      ' Debug Information: ' ; big banner #17
        db      'H: v---- a---- t----' ; Debug information screen
        db      'AAG: -- -- -- --    '
        db      '                    '

        db      'TAI603 and DS1820   ' ; bit banner #18
        db      'temp sensor found.  '
        db      'Up to use TAI603,   '
        db      'Down for DS1820     '



onmsg:  db      $91
        db      'on '
        db      0
offmsg: db      $91
        db      'off'
        db      0
rimsg:  db      $db
        db      'Rising  '
        db      0
famsg:  db      $db
        db      'Falling'
        db      0
stymsg: db      $db
        db      'Steady.'
        db      0

sidmsg: db      $cb
        db      'SSID    '
        db      0

rpt1mg: db      $c0
        db      'Repeater 1'
        db      0

rpt2mg: db      $c0
        db      'Repeater 2'
        db      0

rptf1g: db      $c0
        db      'User Fixed '
        db      0
rptf2g: db      $c0
        db      'WIDE 121212'
        db      0
rptf3g: db      $c0
        db      'WIDE 121213'
        db      0

